//app.js
var api = require('utils/api.js');
App({
  onLaunch: function() {
    //调用API从本地缓存中获取数据
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
  },

  getUserInfo: function(cb) {
    var that = this
    if (this.globalData.userInfo) {
      typeof cb == "function" && cb(this.globalData.userInfo)
    } else {
      //调用登录接口
      wx.getUserInfo({
        withCredentials: false,
        success: function(res) {
          that.globalData.userInfo = res.userInfo
          typeof cb == "function" && cb(that.globalData.userInfo)
        }
      })
    }
  },

  globalData: {
    userInfo: null
  },
  login: function () {
    wx.login({
      success: res => {
        wx.request({
          url: api.headUrl + res.code,
          header: {
            'content-type': 'json'
          },
          success: info => {
            if (info.data.status == 'success') {
              wx.setStorageSync('pt_student_id', info.data.id);
            }
          }
        });
      }
    });
  }
})
